import request from '@/utils/request'

// 商城商户列表
export function apiShopMerchantLists(params: any) {
    return request.get({ url: '/shop_merchant/lists', params })
}

// 添加商城商户
export function apiShopMerchantAdd(params: any) {
    return request.post({ url: '/shop_merchant/add', params })
}

// 编辑商城商户
export function apiShopMerchantEdit(params: any) {
    return request.post({ url: '/shop_merchant/edit', params })
}

// 删除商城商户
export function apiShopMerchantDelete(params: any) {
    return request.post({ url: '/shop_merchant/delete', params })
}

// 商城商户详情
export function apiShopMerchantDetail(params: any) {
    return request.get({ url: '/shop_merchant/detail', params })
}